Show / Hide Table of Contents

# Class DalamudStartInfo

Struct containing information needed to initialize Dalamud.

##### Inheritance

System.Object
DalamudStartInfo

##### Implements

System.IEquatable<DalamudStartInfo>

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    [Serializable]
    public class DalamudStartInfo : IEquatable<DalamudStartInfo>

### Properties

| Improve this Doc View Source

#### AssetDirectory

Gets the path to core Dalamud assets.

##### Declaration

    public string AssetDirectory { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ConfigurationPath

Gets the path to the configuration file.

##### Declaration

    public string ConfigurationPath { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DefaultPluginDirectory

Gets the path to the directory for developer plugins.

##### Declaration

    public string DefaultPluginDirectory { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DelayInitializeMs

Gets a value that specifies how much to wait before a new Dalamud session.

##### Declaration

    public int DelayInitializeMs { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### GameVersion

Gets the current game version code.

##### Declaration

    [JsonConverter(typeof(GameVersionConverter))]
    public GameVersion GameVersion { get; set; }

##### Property Value

Type | Description
--- | ---
GameVersion |

| Improve this Doc View Source

#### Language

Gets the language of the game client.

##### Declaration

    public ClientLanguage Language { get; set; }

##### Property Value

Type | Description
--- | ---
ClientLanguage |

| Improve this Doc View Source

#### OptOutMbCollection

Gets a value indicating whether or not market board information should be uploaded by default.

##### Declaration

    public bool OptOutMbCollection { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PluginDirectory

Gets the path to the directory for installed plugins.

##### Declaration

    public string PluginDirectory { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### WorkingDirectory

Gets or sets the working directory of the XIVLauncher installations.

##### Declaration

    public string WorkingDirectory { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Implements

System.IEquatable<T>